#pragma once

#include <Either.h>

class Entity;
class Item;
class ItemSkill;
class Block;

class DropCondition
{
public:
    virtual bool evaluate(Entity* zActor,
        Item* zItem,
        ItemSkill* zUsedSkill,
        Framework::Either<Block*, Entity*> zDestroyedObject)
        = 0;
};
