#pragma once

#include "TypeRegistry.h"

class ItemTypeNameFactory : public SimpleTypeFactory<Framework::Text*>
{
public:
    static const Framework::Text TYPE_ID;

private:
    Framework::RCArray<Framework::Text>* itemTypeNames;

public:
    ItemTypeNameFactory();
    ~ItemTypeNameFactory();
    void setItemTypeNames(Framework::RCArray<Framework::Text>* itemTypeNames);
    Framework::Text* fromJson(Framework::JSON::JSONValue* zJson) const override;
    Framework::JSON::JSONValue* toJson(Framework::Text* value) const override;
    Framework::Validator::DataValidator* getValidator() const override;
};
