#pragma once

#include <Text.h>
#include <Trie.h>

#include "MultiblockStructure.h"

class MultiblockStructureManager
{
private:
    int dimensionId;
    Framework::Trie<__int64> idCache;

public:
    MultiblockStructureManager(int dimensionId);

    MultiblockStructure* loadStructure(__int64 id) const;
    __int64 getStructureId(Framework::Vec3<int> pos) const;
    void saveStructure(MultiblockStructure* zStructure) const;
};