#pragma once

#include "UIDialog.h"

class Quest;
class QuestParty;
class QuestStorage;

class QuestDialog : public UIDialog
{
public:
    QuestDialog(int playerId);

    virtual void api(
        Framework::StreamReader* zRequest, NetworkMessage* zResponse) override;

private:
    Framework::XML::Element* getQuestGraphItem(
        Quest* zQuest, QuestParty* zParty);
    void showQuestDetails(Quest* zQuest,
        QuestStorage* zStorage,
        Framework::XML::Element* zParent);
};