#pragma once

#include <Array.h>

#include "UIDialog.h"

class UIController : public Framework::ReferenceCounter
{
private:
    Framework::RCArray<UIDialog> activeDialogs;

public:
    UIController();

    void addDialog(UIDialog* dialog);
    void api(Framework::StreamReader* zRequest,
        NetworkMessage* zResponse,
        Entity* zSource);
    void removePlayerDialogs(int playerId);
};